CREATE procedure [C6StagingPeriodico].[RP_ST_Progetto_20170116] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_Progetto',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	--drop table C6StagingPeriodico.RP_Progetto
	truncate table C6StagingPeriodico.RP_Progetto
	insert into C6StagingPeriodico.RP_Progetto 
	(
	   chiaveProgetto
      ,area
      ,chiaveConsulenza
      ,tipoProgetto
      ,dtCreazione
      ,dtUltimaModifica
      ,capLiquidoEntrata
      ,capLiquidoUscita
      ,varPianificato
      ,varProgetto
      ,coperturaProgetto
      ,profiloProgetto
      ,orizzonteTemporale
      ,ctvProgetto
      ,chiaveProgettoMod
      ,flagAvviatoMonitoraggio
      ,percProgetto
      ,ctvPianificato
      ,chiavePtfMod
      ,dtFineValidita
      ,flagCambioParametri
      ,flagPianificazione
      ,dtReset  )
	select  
	   prog.chiaveProgetto
	  -------------------------> modifica del 13/1/2017 per gestire l'accorpamento (sulla nuova CU) dell'area previdenza, non più distinta tra pre1 e pre2
			--,a.area
	    ,CASE 
			WHEN propirMod.nomeProgetto = 'Previdenza Essenziale' THEN 'Pre1'
			WHEN propirMod.nomeProgetto = 'Previdenza Secondaria' THEN 'Pre2'
			else a.area END AS area
      -------------------------> FINE modifica del 13/1/2017 
      ,chiaveConsulenza
      ,null as tipoProgetto -- NULL 16/09
      ,propirMod.dtInizioValidita as dtCreazione
      ,prog.dtaggiornamento as  dtUltimaModifica
      ,capLiquidoEntrata
      ,capLiquidoUscita
      ,varPianificato
      ,Null as varProgetto
      ,coperturaProgetto
      ,null as profiloProgetto
      ,SUBSTRING (propirMod.durata,1,1) as orizzonteTemporale
      ,null as ctvProgetto  
      ,propirMod.chiaveProgettoMod
      ,flagAvviatoMonitoraggio
      ,null as percProgetto
      ,ctvPianificato
      ,chiavePtfMod
      ,'99991231' as dtFineValidita
      ,flagCambioParametri
      ,flagPianificazione
      ,dtReset
	from CONSUNI.ConsulenzaUnica.dbo.Progetto prog
	inner join CONSUNI.ConsulenzaUnica.dbo.area a
	on a.chiaveArea = prog.chiavearea 
	inner join  CONSUNI.ConsulenzaUnica.dbo.ProgettiPiramideModello propirMod
	on propirMod.chiaveprogettomod = prog.chiaveprogettomod
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_Progetto' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_Progetto'
		)
end